## grfcodec 0.9.10+svn2306

=== Makefile ===
# =========================================================
# Makefile for GRFCodec
#
#	Don't put any local configuration in here
#	Change Makefile.local instead, it'll be
#	preserved when updating the sources
# =========================================================

MAKEFILELOCAL=Makefile.local

# Order of the palettes compiled in
# (note, this must match the text in grfcodec.cc and grftut.txt)
PALORDER = ttd_norm&ttw_norm&ttd_cand&ttw_cand&tt1_norm&tt1_mars&ttw_pb_pal1&ttw_pb_pal2

# A command to return the current SVN revision of the source tree; it should
# it in the format [##:]##, where the second set of digits is the current
# revision (used for adding the revision to the version string)
SVNVERSION = svnversion -c .	# standard SVN client (e.g. cygwin)

# Gnu compiler settings
SHELL = /bin/sh
CC = g++
CXX = g++
STRIP = strip
AWK = awk

# OS detection: Cygwin vs Linux
ISCYGWIN = $(shell [ ! -d /cygdrive/ ]; echo $$?)
MACHINE = $(shell $(CC) -dumpmachine || echo '??' )

# Cygwin builds default to -mno-cygwin.
ifndef NOCYGWIN
NOCYGWIN = 1
endif

# OS dependent variables
EXE = $(shell ( [ \( $(ISCYGWIN) -eq 1 \) -o \( "$(MACHINE)" = "mingw32" \) ] ) && echo .exe)
GRFCODEC = grfcodec$(EXE)
GRFDIFF  = grfdiff$(EXE)
GRFMERGE = grfmerge$(EXE)

TYPESIZE = GCC32

INSTALLPATH_CYGWIN=/usr/local/bin
INSTALLPATH_CYGWIN_MINGW=$(shell echo $$SYSTEMROOT | sed -e "s/\(.\):/\\/cygdrive\\/\\1/" -e s/\\\\/\\//g)
INSTALLPATH_MSYS_MINGW=$(SYSTEMROOT)
INSTALLPATH_LINUX=/usr/local/bin

-include ${MAKEFILELOCAL}


ifndef INSTALLPATH

# make an educated guess on the install path.
ifeq ($(EXE),.exe)
ifeq ($(ISCYGWIN),1)
ifeq ($(NOCYGWIN),1)
INSTALLPATH=$(INSTALLPATH_CYGWIN_MINGW)
else
INSTALLPATH=$(INSTALLPATH_CYGWIN)
endif
else
INSTALLPATH=$(INSTALLPATH_MSYS_MINGW)
endif
else 
INSTALLPATH=$(INSTALLPATH_LINUX)
endif
endif

# use 386 instructions but optimize for pentium II/III
CFLAGS = -g -D$(TYPESIZE) -O3 -I. -O1 -idirafter$(BOOST_INCLUDE) -Wall -Wno-uninitialized $(CFLAGAPP)

ifeq ($(DEBUG),1)
CFLAGS += -DDEBUG
endif

ifeq ($(MACHINE),mingw32)
CFLAGS += -DMINGW
endif

ifeq ($(ISCYGWIN),1)
ifeq ($(NOCYGWIN),1)
CFLAGS += -DMINGW -mno-cygwin
endif
endif

CXXFLAGS = $(CFLAGS)


# Somewhat automatic detection of the correct boost include folder
ifndef BOOST_INCLUDE
BOOST_INCLUDE=$(shell \
find /usr/include /usr/local/include -maxdepth 1 -name 'boost-*' 2> /dev/null | sort -t - -k 2 | tail -n 1 )
ifeq ($(BOOST_INCLUDE),)
BOOST_INCLUDE=$(shell \
( [ -d /usr/include/boost/date_time ] && echo /usr/include ) || \
( [ -d /usr/local/include/boost/date_time ] && echo /usr/local/include ) )
endif
endif

ifndef V
V=0 # verbose build default off
endif

# =======================================================================
#           setup verbose/non-verbose make process
# =======================================================================

# _E = prefix for the echo [TYPE] TARGET
# _C = prefix for the actual command(s)
# _I = indentation for sub-make
# _Q = number of 'q's for UPX
# _S = sub-makes silent?
ifeq (${V},1)
	# verbose, set _C = nothing (print command), _E = comment (don't echo)
	_C=
	_E=@\#
	_Q=-qq
	_S=
else
	# not verbose, _C = @ (suppress cmd line), _E = @echo (echo type&target)
	_C=@
	_E:=@echo -e ${_I}
	_Q=-qqq
	_S=-s
endif

# increase indentation level for sub-makes
_I := ${_I}\\t
export _I

# standard compilation commands should be of the form
# target:	prerequisites
#	${_E} [CMD] $@
#	${_C}${CMD} ...arguments...
#
# non-standard commands (those not invoked by make all/dos/win) should
# use the regular syntax (without the ${_E} line and without the ${_C} prefix)
# because they'll be only used for testing special conditions
#
# =======================================================================

# sources to be compiled and linked
GRFCODECSRC=grfcomm.c pcxfile.c sprites.c pcxsprit.c info.c \
	error.c getopt.c path.c readinfo.c file.c grfcodec.c

GRFDIFFSRC=grfcomm.c error.c sprites.c getopt.c grfdiff.c path.c

GRFMERGESRC=getopt.c grfmerge.c

ifndef NOREV
NOREV = 0
endif

ifndef NO_BOOST
NO_BOOST = 0
endif

ifeq ($(BOOST_INCLUDE),)
BOOST_CMD=-DNO_BOOST
BOOST_WARN = @echo "Warning: boost::date_time not found.  \\w<date> and \\d<date> will not be" ; echo "  supported.  If you have recently installed boost, try sudo updatedb."
else
BOOST_CMD=-I$(BOOST_INCLUDE)
endif

ifneq ($(NO_BOOST),0)
BOOST_CMD=-DNO_BOOST
BOOST_WARN = @echo "Warning: \\w<date> and \\d<date> support disabled by NO_BOOST setting."
endif

PAL_FILES = pals/$(subst &,.bcp pals/,$(PALORDER)).bcp

# deafult targets
all: $(GRFCODEC) $(GRFDIFF) $(GRFMERGE)
remake: clean all

${MAKEFILELOCAL}:
	@/bin/sh -c "export PATH=\"/bin\" && \
	echo ${MAKEFILELOCAL} did not exist, using defaults. Please edit it if compilation fails. && \
	cp ${MAKEFILELOCAL}.sample $@"

$(GRFCODEC): $(GRFCODECSRC:%.c=%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CFLAGS) $^ $(LDOPT)

$(GRFDIFF):  $(GRFDIFFSRC:%.c=%.o) grfmrg.o
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CFLAGS) $^ $(LDOPT)

$(GRFMERGE): $(GRFMERGESRC:%.c=%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CFLAGS) $^ $(LDOPT)


clean:
	rm -rf *.o *.os *.bin $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) bundle bundles

mrproper: clean
	rm -f *.d .rev version.h grfmrg.c version.h.tmp
	@touch -ct 9901010000 ttdpal.h	# don't delete it, so we don't confuse svn, but force it to be remade

FORCE:
	@$(BOOST_WARN)

.rev: #FORCE
	$(_C) [ -e $@ ] || echo SVNREV=0 > $@
	$(_C) REV=`${SVNVERSION}` perl rev.pl $@ < $@

-include .rev
include version.def

version.h: FORCE
	@echo // Autogenerated by make.  Do not edit.  Edit version.def or the Makefile instead. > $@.tmp
	@echo "#define GRFCODECVER \"$(VERSIONSTR)\"" >> $@.tmp
	@(diff $@.tmp $@ > /dev/null 2>&1 && rm -f $@.tmp) || (rm -f $@ ; mv $@.tmp $@ || true)

FORCE:
%_r: FORCE
	$(_E) [REBUILD] $(@:%_r=%)
	$(_C)rm -f $(@:%_r=%)
	$(_C)$(MAKE) ${_S} $(@:%_r=%)
	$(_E) [STRIP/UPX] $(@:%_r=%)
	$(_C)$(STRIP)  $(@:%_r=%)
	$(_C)upx $(_Q) --best  $(@:%_r=%)

release: $(GRFCODEC)_r $(GRFDIFF)_r $(GRFMERGE)_r

# make grfmerge.exe (as grfmrgc.bin) optimized for size instead of speed
grfmrgc.bin:	grfmerge.os $(GRFMERGESRC:%.c=%.os)
	$(_C)rm -f $@
	$(_E) [LD] $@
	$(_C)$(CC) -o $@ $(CFLAGS) -Os $^
	$(_E) [STRIP/UPX] $@
	$(_C)$(STRIP) $@
	$(_C)upx $(_Q) --best $@

grfmrg.c:	grfmrgc.bin grfmrgc.pl
	$(_E) [PERL] $@
	$(_C)perl -w grfmrgc.pl > $@

ttdpal.h:	$(PAL_FILES) pal2c.pl
	$(_E) [PERL] $@
	$(_C)perl pal2c.pl $(PAL_FILES) > $@

# Gnu compiler rules

%.o : %.c
	$(_E) [CC] $@
	$(_C)$(CC) -c -o $@ -MMD -MF $@.d $(CFLAGS) $<

%.o : %.cc
	$(_E) [CPP] $@
	$(_C)$(CXX) -c -o $@ -MMD -MF $@.d $(CXXFLAGS) $(BOOST_CMD) $<

% : %.o
	$(_E) [LD] $@
	$(_C)$(CC) -o $@ $(CFLAGS) $^ $(LDOPT)
	$(_C)$(CP_TO_EXE)

%.S : %.c
	$(_E) [CC] $@
	$(_C)$(CC) -S -o $@ $(CFLAGS) $<

%.S : %.cc
	$(_E) [CPP] $@
	$(_C)$(CC) -S -o $@ $(CXXFLAGS) $<


# same as above but optimized for size not speed
%.os : %.c
	$(_E) [CC] $@
	$(_C)$(CC) -c -o $@ -MMD -MF $@.d $(CFLAGS) -Os $<

% :: %.os
	$(_E) [LD] $@
	$(_C)$(CC) -o $@ $(CFLAGS) $^ $(LDOPT)

# Borland compiler rules

%.obj : %.c
	$(_E) [CC] $@
	$(_C)$(BCC) $(COPTS) -c $< -o$@

%.obj : %.cc
	$(_E) [CPP] $@
	$(_C)$(BCC) -P $(CPPOPTS) -c $< -o$@

%.exe : %.obj
	$(_E) [LD] $@
	$(_C)$(BCC) $(LOPTS) $^ -e$@

%.o.d:
	$(_E) [CPP DEP] $@
	$(_C)$(CC) $(CFLAGS) -DMAKEDEP -MM -MG $*.c* -MF $@

%.os.d:
	$(_E) [CPP DEP] $@
	$(_C)$(CC) $(CFLAGS) -DMAKEDEP -MM -MG -MT ${subst .d,,$@} -MF $@ $*.c*

%.obj.d: $(wildcard %.c*)
	$(_E) [CPP DEP] $@
	$(_C)$(CC) $(CFLAGS) -DMAKEDEP -MM -MG -MT ${subst .d,,$@} -MF $@ $*.c*

ifndef NO_MAKEFILE_DEP
-include $(GRFCODECSRC:%.c=%.o.d)
-include $(GRFMERGESRC:%.c=%.o.d)
-include $(GRFDIFFSRC:%.c=%.o.d)
-include $(GRFMERGESRC:%.c=%.os.d)
-include $(GRFCODECSRC:%.c=%.obj.d)
-include $(GRFMERGESRC:%.c=%.obj.d)
-include $(GRFDIFFSRC:%.c=%.obj.d)
endif

include Makefile.bundle

install: $(GRFCODEC) $(GRFMERGE) $(GRFDIFF)
	$(_E) [INSTALL]
	$(_C)cp $(GRFCODEC) $(INSTALLPATH)
	$(_C)cp $(GRFMERGE) $(INSTALLPATH)
	$(_C)cp $(GRFDIFF) $(INSTALLPATH)

=== debian/changelog ===
grfcodec (0.9.10+svn2306-1) unstable; urgency=low

  * [60e6925] New upstream release 0.9.10+svn2306.
  * [61f5b99] Add optional-upx.patch, making upx compression optional.
  * [d9464d5] Disable UPX binary compression, it is not available on all
    platforms. (Closes: #576374)
  * [27f8520] Don't Build-Depend on upx anymore.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 04 Apr 2010 14:11:22 +0200

grfcodec (0.9.10+svn2294-1) unstable; urgency=low

  * [af496d7] New upstream release 0.9.10+svn2294.
  * [51e47c9] Remove patch gcc-4.4-compile-fixes, which was imported
    upstream.
  * [1f37c17] Update the watch file to the new upstream url scheme.
  * [9c8d66d] Add some copyright holders I missed. - thanks to Alexander
    Reichle-Schmehl

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 11 Mar 2010 17:20:42 +0100

grfcodec (0.9.10+svn2247-1) unstable; urgency=low

  * Initial release (Closes: #565392)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 01 Feb 2010 12:42:13 +0100

=== debian/control ===
Source: grfcodec
Section: devel
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
Homepage: http://www.ttdpatch.net/grfcodec/

Package: grfcodec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A suite of programs to modify Transport Tycoon Deluxe's GRF files
 This package provides the grfcodec, grfdiff and grfmerge commands which can
 be used to work with the GRF used by the Transport Tycoon Deluxe, TTDPatch
 and OpenTTD games.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use debhelper default for all targets (but some are overridden below).
%:
	dh $@

# Don't use dh for clean. Since the upstream Makefile generates
# dependency information before any error messages, dh_auto_clean
# sometimes thinks make distclean is supported, while it isn't. Instead,
# we use make mrproper, which does something similar.
override_dh_auto_clean:
	make mrproper
	# Remove files autogenerated by make, but not removed by make
	# mrproper.
	rm -f Makefile.local

# Extract the original SVN version from the Debian version. This ensures
# that grfcodec --help outputs a sensible version number.
VERSION=$(shell dpkg-parsechangelog | grep 'Version: ' | sed 's/Version: //')
REV=$(shell echo $(VERSION) | sed 's/^.*\+svn//' | sed 's/-[0-9]*$$//')

override_dh_auto_configure:
	echo "SVNVERSION=echo ${REV}" > Makefile.local
	# Default is to install to /usr/local
	echo "INSTALLPATH_LINUX=debian/grfcodec/usr/bin" >> Makefile.local
	# Disable UPX binary compression, it is not available on all
	# platforms.
	echo "UPX=" >> Makefile.local

override_dh_auto_install:
	# Upstream makefile doesn't create directories properly
	install -d debian/grfcodec/usr/bin
	dh_auto_install

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# grfcodec currently uses svn revision numbers for releases, but we keep
# the original versioning as well in case real releases start happening
# again.
# The upstream site explicitly links to index.html for directory
# indexes, and uses a separate directory per release, so we do some
# downloadurlmangle magic to get at the right file.
opts="dversionmangle=s/.*\+svn//,downloadurlmangle=s/(.*)\/index.html$/\1\/grfcodec-\1-source.tar.gz/" \
http://master.binaries.openttd.org/extra/grfcodec/ \
r(\d+)/index.html

## grfcodec 1.0.0+debian1

=== Makefile ===
# =========================================================
# Makefile for GRFCodec
#
#	Don't put any local configuration in here
#	Change Makefile.local instead, it'll be
#	preserved when updating the sources
# =========================================================

MAKEFILELOCAL=Makefile.local

# Order of the palettes compiled in
# (note, this must match the text in grfcodec.cpp and grftut.txt)
PALORDER = ttd_norm&ttw_norm&ttd_cand&ttw_cand&tt1_norm&tt1_mars&ttw_pb_pal1&ttw_pb_pal2

# Gnu compiler settings
SHELL = /bin/sh
CXX = g++
STRIP = strip
UPX = $(shell [ `which upx 2>/dev/null` ] && echo "upx")
AWK = awk
SRCZIP_FLAGS = -9
SRCZIP = gzip

# Default installation directories
INSTALL_DOCS_DIR := "$(DESTDIR)/usr/share/doc/grfcodec"
INSTALL_BINARY_DIR := "$(DESTDIR)/usr/bin"
INSTALL_MAN_DIR := "$(DESTDIR)/usr/share/man/man1"

# OS detection: Cygwin vs Linux
ISCYGWIN = $(shell [ ! -d /cygdrive/ ]; echo $$?)
MACHINE = $(shell $(CXX) -dumpmachine || echo '??' )

# Cygwin builds default to -mno-cygwin.
ifndef NOCYGWIN
NOCYGWIN = 1
endif

# OS dependent variables
EXE = $(shell ( [ \( $(ISCYGWIN) -eq 1 \) -o \( "$(MACHINE)" = "mingw32" \) ] ) && echo .exe)
GRFCODEC = grfcodec$(EXE)
GRFDIFF  = grfdiff$(EXE)
GRFMERGE = grfmerge$(EXE)
GRFID    = grfid$(EXE)

TYPESIZE = GCC32

FLAGS  = -D$(TYPESIZE) -I. -idirafter$(BOOST_INCLUDE) -D_FORTIFY_SOURCE=2
FLAGS += -Wall -Wno-uninitialized -Wsign-compare -Wwrite-strings -Wpointer-arith -W -Wno-unused-parameter -Wformat=2 -Wredundant-decls

ifeq ($(DEBUG),1)
FLAGS += -DDEBUG
endif

ifeq ($(MACHINE),mingw32)
FLAGS += -DMINGW
endif

ifeq ($(ISCYGWIN),1)
ifeq ($(NOCYGWIN),1)
FLAGS += -DMINGW -mno-cygwin
endif
endif

ifeq ($(shell uname),Darwin)
FLAGS += -isystem/opt/local/include
endif

# GCC 4.5.0 has an optimisation bug that influences GRFCodec.
# As such we disable optimisation when GCC 4.5.0 is detected.
# The issue has been fixed in GCC 4.5.1
ifneq ($(shell $(CXX) -v 2>&1 | grep "4\.5\.0" || true),)
FLAGS += -O0
endif

-include ${MAKEFILELOCAL}

CXXFLAGS := $(FLAGS) $(CXXFLAGS)

# Somewhat automatic detection of the correct boost include folder
ifndef BOOST_INCLUDE
BOOST_INCLUDE=$(shell \
find /usr/include /usr/local/include /opt/local/include -maxdepth 1 -name 'boost-*' 2> /dev/null | sort -t - -k 2 | tail -n 1 )
ifeq ($(BOOST_INCLUDE),)
BOOST_INCLUDE=$(shell \
( [ -d /usr/include/boost/date_time ] && echo /usr/include ) || \
( [ -d /usr/local/include/boost/date_time ] && echo /usr/local/include ) || \
( [ -d /opt/local/include/boost/date_time ] && echo /opt/local/include ) )
endif
endif

ifeq ($(BOOST_INCLUDE),)
BOOST_ERROR = echo Error: Boost not found. Compilation will fail.
endif

ifndef V
V=0 # verbose build default off
endif

# =======================================================================
#           setup verbose/non-verbose make process
# =======================================================================

# _E = prefix for the echo [TYPE] TARGET
# _C = prefix for the actual command(s)
# _I = indentation for sub-make
# _Q = number of 'q's for UPX
# _S = sub-makes silent?
ifeq (${V},1)
	# verbose, set _C = nothing (print command), _E = comment (don't echo)
	_C=
	_E=@\#
	_Q=-qq
	_S=
else
	# not verbose, _C = @ (suppress cmd line), _E = @echo (echo type&target)
	_C=@
	_E:=@echo ${_I}
	_Q=-qqq
	_S=-s
endif

# increase indentation level for sub-makes
_I := ${_I}"	"
export _I

# standard compilation commands should be of the form
# target:	prerequisites
#	${_E} [CMD] $@
#	${_C}${CMD} ...arguments...
#
# non-standard commands (those not invoked by make all/dos/win) should
# use the regular syntax (without the ${_E} line and without the ${_C} prefix)
# because they'll be only used for testing special conditions
#
# =======================================================================

# sources to be compiled and linked
GRFCODECSRC=grfcomm.cpp pcxfile.cpp sprites.cpp pcxsprit.cpp info.cpp \
	error.cpp getopt.cpp path.cpp readinfo.cpp file.cpp grfcodec.cpp

GRFDIFFSRC=grfcomm.cpp error.cpp sprites.cpp getopt.cpp grfdiff.cpp path.cpp

GRFMERGESRC=grfcomm.cpp error.cpp getopt.cpp grfmerge.cpp path.cpp

GRFIDSRC=grfid.cpp

PAL_FILES = pals/$(subst &,.bcp pals/,$(PALORDER)).bcp

# deafult targets
all: $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID)
remake:
	$(_E) [CLEAN]
	$(_C)$(MAKE) ${_S} clean
	$(_E) [REBUILD]
	$(_C)$(MAKE) ${_S} all

${MAKEFILELOCAL}:
	@/bin/sh -c "export PATH=\"/bin\" && \
	echo ${MAKEFILELOCAL} did not exist, using defaults. Please edit it if compilation fails. && \
	cp ${MAKEFILELOCAL}.sample $@"

$(GRFCODEC): $(GRFCODECSRC:%.cpp=objs/%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CXXFLAGS) $^ $(LDOPT)

$(GRFDIFF):  $(GRFDIFFSRC:%.cpp=objs/%.o) objs/grfmrg.o
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CXXFLAGS) $^ $(LDOPT)

$(GRFMERGE): $(GRFMERGESRC:%.cpp=objs/%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CXXFLAGS) $^ $(LDOPT)

$(GRFID): $(GRFIDSRC:%.cpp=objs/%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CXXFLAGS) $^ $(LDOPT)


clean:
	rm -rf objs $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) bundle bundles grfcodec-*

mrproper: clean
	rm -f *.d src/version.h src/grfmrg.c
	@touch -ct 9901010000 ttdpal.h	# don't delete it, so we don't confuse svn, but force it to be remade

FORCE:
	@$(BOOST_ERROR)

include version.def

src/version.h: FORCE
	@echo // Autogenerated by make.  Do not edit.  Edit version.def or the Makefile instead. > $@.tmp
	@echo "#define GRFCODECVER \"$(VERSIONSTR)\"" >> $@.tmp
	@(diff $@.tmp $@ > /dev/null 2>&1 && rm -f $@.tmp) || (rm -f $@ ; mv $@.tmp $@ || true)

FORCE:
%_r: FORCE
	$(_E) [REBUILD] $(@:%_r=%)
	$(_C)rm -f $(@:%_r=%)
	$(_C)$(MAKE) ${_S} $(@:%_r=%)
	$(_E) [STRIP] $(@:%_r=%)
	$(_C)$(STRIP)  $(@:%_r=%)
ifneq ($(UPX),)
	$(_E) [UPX] $(@:%_r=%)
	$(_C)$(UPX) $(_Q) --best  $(@:%_r=%)
endif

release: FORCE $(GRFCODEC)_r $(GRFDIFF)_r $(GRFMERGE)_r $(GRFID)_r

# make grfmerge.exe (as grfmrgc.bin) optimized for size instead of speed
objs/grfmrgc.bin: objs/grfmerge.os $(GRFMERGESRC:%.cpp=objs/%.os)
	$(_C)rm -f $@
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CXXFLAGS) -Os $^
	$(_E) [STRIP] $@
	$(_C)$(STRIP) $@
ifneq ($(UPX),)
	$(_E) [UPX] $@
	$(_C)$(UPX) $(_Q) --best $@
endif

src/grfmrg.cpp: objs/grfmrgc.bin src/grfmrgc.pl
	$(_E) [PERL] $@
	$(_C)perl -w src/grfmrgc.pl > $@

src/ttdpal.h: $(PAL_FILES:%=src/%) src/pal2c.pl
	$(_E) [PERL] $@
	$(_C)perl src/pal2c.pl $(PAL_FILES:%=src/%) > $@

# Gnu compiler rules

objs/%.o : src/%.cpp Makefile
	$(_E) [CPP] $@
	$(_C)$(CXX) -c -o $@ $(CXXFLAGS) -MMD -MF $@.d -MT $@ $<

% : objs/%.o Makefile
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CXXFLAGS) $^ $(LDOPT)
	$(_C)$(CP_TO_EXE)

# same as above but optimized for size not speed
objs/%.os : src/%.cpp Makefile
	$(_E) [CPP] $@
	$(_C)$(CXX) -c -o $@ $(CXXFLAGS) -Os -MMD -MF $@.d -MT $@ $<

% :: objs/%.os Makefile
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(CXXFLAGS) $^ $(LDOPT)

# On some installations a version.h exists in /usr/include. This one is then
# found by the dependency tracker and thus the dependencies do not contain
# a reference to version.h, so it isn't generated and compilation fails.
objs/grfcodec.o: src/version.h
objs/grfmerge.o: src/version.h
objs/grfmerge.os: src/version.h
objs/grfdiff.o: src/version.h
objs/grfidc.o: src/version.h

objs/%.o.d: src/%.cpp Makefile
	$(_C)mkdir -p objs
	$(_E) [CPP DEP] $@
	$(_C)$(CXX) $(CXXFLAGS) -DMAKEDEP -MM -MG src/$*.cpp -MF $@

ifndef NO_MAKEFILE_DEP
-include $(GRFCODECSRC:%.cpp=objs/%.o.d)
-include $(GRFMERGESRC:%.cpp=objs/%.o.d)
-include $(GRFDIFFSRC:%.cpp=objs/%.o.d)
-include $(GRFIDSRC:%.cpp=objs/%.o.d)
-include $(GRFMERGESRC:%.cpp=objs/%.os.d)
-include $(GRFCODECSRC:%.cpp=objs/%.obj.d)
-include $(GRFMERGESRC:%.cpp=objs/%.obj.d)
-include $(GRFDIFFSRC:%.cpp=objs/%.obj.d)
-include $(GRFIDSRC:%.cpp=objs/%.obj.d)
endif

include Makefile.bundle

=== debian/changelog ===
grfcodec (1.0.0+debian1-2) unstable; urgency=low

  * [148a2e3] Add big-endian-fix.patch, fixing grfcodec on s390.
    (Closes: #596056)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 10 Sep 2010 18:20:12 +0200

grfcodec (1.0.0+debian1-1) unstable; urgency=low

  * [30caa6a] Repackaged upstream source, to remove a duplicate file (which
    the lenny version of tar --keep-old-files doesn't like.
  * [331d12b] Update watch file to upstream's new versioning scheme.
  * [28b6b51] Mangle the +debian suffix in the watch file.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 23 Aug 2010 14:45:52 +0200

grfcodec (1.0.0-1) unstable; urgency=low

  * [bdf9657] New upstream release 1.0.0.
  * [fd3f79e] Remove svn version mangling, upstream uses sane versioning
    again.
  * [8893585] Remove our manpages, upstream now provides them.
  * [d023444] Bump Standards-Version to 3.9.1, no changes required.
  * [911d6fe] Remove optional-upx.patch, which was included upstream.
  * [5441697] Update upstream homepage.
  * [bffa177] Build-Depend on libboost-dev, it is now required.
  * [05e2298] Don't point users to the upstream homepage for docs.
  * [various] Update packaging for upstream build system changes.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 19 Aug 2010 16:00:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), libboost-dev
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
 Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
-Homepage: http://www.ttdpatch.net/grfcodec/
+Homepage: http://dev.openttdcoop.org/projects/grfcodec
 
 Package: grfcodec
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,7 @@
 	# mrproper.
 	rm -f Makefile.local
 
-# Extract the original SVN version from the Debian version. This ensures
-# that grfcodec --help outputs a sensible version number.
-VERSION=$(shell dpkg-parsechangelog | grep 'Version: ' | sed 's/Version: //')
-REV=$(shell echo $(VERSION) | sed 's/^.*\+svn//' | sed 's/-[0-9]*$$//')
-
 override_dh_auto_configure:
-	echo "SVNVERSION=echo ${REV}" > Makefile.local
 	# Default is to install to /usr/local
 	echo "INSTALLPATH_LINUX=debian/grfcodec/usr/bin" >> Makefile.local
 	# Disable UPX binary compression, it is not available on all
@@ -29,6 +23,10 @@
 	echo "UPX=" >> Makefile.local
 
 override_dh_auto_install:
-	# Upstream makefile doesn't create directories properly
-	install -d debian/grfcodec/usr/bin
 	dh_auto_install
+	# Remove the changelog, dh_installchangelogs will do that as
+	# well.
+	rm debian/grfcodec/usr/share/doc/grfcodec/changelog.txt
+	# Remove the COPYING file, it's just a verbatim GPL copy
+	rm debian/grfcodec/usr/share/doc/grfcodec/COPYING
+

## grfcodec 5.1.1

=== Makefile ===
# =========================================================
# Makefile for the GRF development tools
#
#       Don't put any local configuration in here
#       Change Makefile.local instead, it'll be
#       preserved when updating the sources
# =========================================================

PACKAGE_NAME = grfcodec

-include Makefile.local

# Gnu compiler settings
SHELL        ?= /bin/sh
CXX          ?= g++
STRIP        ?=
UPX          ?=
AWK          ?= awk
SRCZIP_FLAGS ?= -9
SRCZIP       ?= gzip
LIBPNG_CONFIG?= libpng-config

# OS detection: Cygwin vs Linux
ISCYGWIN     ?= $(shell [ ! -d /cygdrive/ ]; echo $$?)
MACHINE      ?= $(shell $(CXX) -dumpmachine || echo '??' )

# OS dependent variables
EXE          ?= $(shell ( [ \( $(ISCYGWIN) -eq 1 \) -o \( "$(MACHINE)" = "mingw32" \) ] ) && echo .exe)
GRFCODEC     ?= grfcodec$(EXE)
GRFDIFF      ?= grfdiff$(EXE)
GRFMERGE     ?= grfmerge$(EXE)
GRFID        ?= grfid$(EXE)
NFORENUM     ?= nforenum$(EXE)
ENDIAN_CHECK ?= endian_check$(EXE)

TYPESIZE     ?= GCC32

# Somewhat automatic detection of the correct boost include folder
ifndef BOOST_INCLUDE
BOOST_INCLUDE=$(shell \
find /usr/include /usr/local/include /opt/local/include -maxdepth 1 -name 'boost-*' 2> /dev/null | sort -t - -k 2 | tail -n 1 )
ifeq ($(BOOST_INCLUDE),)
BOOST_INCLUDE=$(shell \
( [ -d /usr/include/boost/date_time ] && echo /usr/include ) || \
( [ -d /usr/local/include/boost/date_time ] && echo /usr/local/include ) || \
( [ -d /opt/local/include/boost/date_time ] && echo /opt/local/include ) )
endif
endif

ifeq ($(BOOST_INCLUDE),)
BOOST_ERROR = echo Error: Boost not found. Compilation will fail.
endif

ifndef V
V=0 # verbose build default off
endif

ifndef FLAGS
ifeq ($(ISCYGWIN),1)
FLAGS = -I $(BOOST_INCLUDE) -O2
else
FLAGS = -idirafter$(BOOST_INCLUDE) -O2
endif
FLAGS += -D$(TYPESIZE) -D_FORTIFY_SOURCE=2
FLAGS += -Wall -Wno-uninitialized -Wsign-compare -Wwrite-strings -Wpointer-arith -W -Wno-unused-parameter -Wformat=2

ifeq ($(DEBUG),1)
FLAGS += -DDEBUG
endif

ifeq ($(MACHINE),mingw32)
FLAGS += -DMINGW
endif

# Sadly enough fmemopen is
ifneq ($(shell grep fmemopen /usr/include/stdio.h 2> /dev/null | wc -l | sed "s/ *//"),0)
ifndef NO_FMEMOPEN
FLAGS += -DWITH_FMEMOPEN
endif
endif

ifeq ($(shell uname),Darwin)
FLAGS += -isystem/opt/local/include
endif

# GCC 4.5.0 has an optimisation bug that influences GRFCodec.
# As such we disable optimisation when GCC 4.5.0 is detected.
# The issue has been fixed in GCC 4.5.1
ifneq ($(shell $(CXX) -v 2>&1 | grep "4\.5\.0" || true),)
FLAGS += -O0
endif

# Complication of png support in grfcodec
ifneq ($(shell $(LIBPNG_CONFIG) --version 2>/dev/null),)
WITH_PNG = 0
FLAGS += -DWITH_PNG $(shell $(LIBPNG_CONFIG) --cflags)
endif
endif

MY_CXXFLAGS ?= $(FLAGS) $(CXXFLAGS)

# =======================================================================
#           setup verbose/non-verbose make process
# =======================================================================

# _E = prefix for the echo [TYPE] TARGET
# _C = prefix for the actual command(s)
# _I = indentation for sub-make
# _Q = number of 'q's for UPX
# _S = sub-makes silent?
ifeq (${V},1)
	# verbose, set _C = nothing (print command), _E = comment (don't echo)
	_C=
	_E=@\#
	_Q=-qq
	_S=
else
	# not verbose, _C = @ (suppress cmd line), _E = @echo (echo type&target)
	_C=@
	_E:=@echo ${_I}
	_Q=-qqq
	_S=-s
endif

# increase indentation level for sub-makes
_I := ${_I}"	"
export _I

# standard compilation commands should be of the form
# target:	prerequisites
#	${_E} [CMD] $@
#	${_C}${CMD} ...arguments...
#
# non-standard commands (those not invoked by make all/dos/win) should
# use the regular syntax (without the ${_E} line and without the ${_C} prefix)
# because they'll be only used for testing special conditions
#
# =======================================================================

# sources to be compiled and linked
GRFCODECSRC=grfcomm.cpp pcxfile.cpp sprites.cpp pcxsprit.cpp pngsprit.cpp \
	info.cpp globals.cpp mapescapes.cpp error.cpp path.cpp readinfo.cpp \
	file.cpp grfcodec.cpp

GRFDIFFSRC=grfcomm.cpp error.cpp sprites.cpp grfdiff.cpp path.cpp

GRFMERGESRC=grfcomm.cpp error.cpp grfmerge.cpp path.cpp

GRFIDSRC=grfid.cpp

NFORENUMSRC=IDs.cpp act0.cpp act123.cpp act123_classes.cpp act5.cpp act6.cpp \
  act79D.cpp actB.cpp actF.cpp act14.cpp command.cpp data.cpp globals.cpp \
  inject.cpp messages.cpp pseudo.cpp rangedint.cpp nforenum.cpp sanity.cpp \
  strings.cpp utf8.cpp help.cpp message_mgr.cpp language_mgr.cpp \
  mapescapes.cpp pseudo_seq.cpp

PALORDER = ttd_norm&ttw_norm&ttd_cand&ttw_cand&tt1_norm&tt1_mars&ttw_pb_pal1&ttw_pb_pal2
PAL_FILES = pals/$(subst &,.bcp pals/,$(PALORDER)).bcp

# deafult targets
all: $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(NFORENUM)

remake:
	$(_E) [CLEAN]
	$(_C)$(MAKE) ${_S} clean
	$(_E) [REBUILD]
	$(_C)$(MAKE) src/version.h src/endian.h
	$(_C)$(MAKE) ${_S} all

$(GRFCODEC): $(GRFCODECSRC:%.cpp=objs/%.o)
	$(_E) [LD] $@
ifdef WITH_PNG
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT) $(shell $(LIBPNG_CONFIG) --ldflags)
else
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
endif

$(GRFDIFF):  $(GRFDIFFSRC:%.cpp=objs/%.o) objs/grfmrg.o
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)

$(GRFMERGE): $(GRFMERGESRC:%.cpp=objs/%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)

$(GRFID): $(GRFIDSRC:%.cpp=objs/%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)

$(NFORENUM): $(NFORENUMSRC:%.cpp=objs/%.o)
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)


clean:
	$(_C)rm -rf objs $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(NFORENUM) bundle bundles grfcodec-* src/endian.h

mrproper: clean
	$(_C)rm -f src/version.h src/grfmrg.cpp
	$(_C)touch -ct 9901010000 ttdpal.h # don't delete it, so we don't confuse svn, but force it to be remade

distclean: mrproper
	$(_C)rm -rf Makefile.local

FORCE:
	@$(BOOST_ERROR)

include version.def

src/version.h: FORCE
	@echo // Autogenerated by make.  Do not edit.  Edit version.def or the Makefile instead. > $@.tmp
	@echo "#define VERSION \"$(VERSIONSTR)\"" >> $@.tmp
	@echo "#define YEARS \"2004-$(YEAR)\"" >> $@.tmp
	@(diff $@.tmp $@ > /dev/null 2>&1 && rm -f $@.tmp) || (rm -f $@ ; mv $@.tmp $@)

objs/$(ENDIAN_CHECK): src/endian_check.cpp
	$(_C) mkdir -p objs
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) src/endian_check.cpp

src/endian.h: objs/$(ENDIAN_CHECK)
	$(_E) [ENDIAN] Determining endianness
	$(_C)objs/$(ENDIAN_CHECK) $(ENDIAN_PARAMS) > src/endian.h || rm src/endian.h

FORCE:
%_r: FORCE
	$(_E) [REBUILD] $(@:%_r=%)
	$(_C)rm -f $(@:%_r=%)
	$(_C)$(MAKE) ${_S} $(@:%_r=%)
ifneq ($(STRIP),)
	$(_E) [STRIP] $(@:%_r=%)
	$(_C)$(STRIP)  $(@:%_r=%)
endif
ifneq ($(UPX),)
	$(_E) [UPX] $(@:%_r=%)
	$(_C)$(UPX) $(_Q) --best  $(@:%_r=%)
endif

release: FORCE $(GRFCODEC)_r $(GRFDIFF)_r $(GRFMERGE)_r $(GRFID)_r $(NFORENUM)_r

# make grfmerge.exe (as grfmrgc.bin) optimized for size instead of speed
objs/grfmrgc.bin: objs/grfmerge.os $(GRFMERGESRC:%.cpp=objs/%.os)
	$(_C)rm -f $@
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) -Os $^
ifneq ($(STRIP),)
	$(_E) [STRIP] $@
	$(_C)$(STRIP) $@
endif
ifneq ($(UPX),)
	$(_E) [UPX] $@
	$(_C)$(UPX) $(_Q) --best $@
endif

src/grfmrg.cpp: objs/grfmrgc.bin src/grfmrgc.pl
	$(_E) [PERL] $@
	$(_C)perl -w src/grfmrgc.pl > $@

src/ttdpal.h: $(PAL_FILES:%=src/%) src/pal2c.pl
	$(_E) [PERL] $@
	$(_C)perl src/pal2c.pl $(PAL_FILES:%=src/%) > $@


# Gnu compiler rules

objs/%.o : src/%.cpp Makefile
	$(_E) [CPP] $@
	$(_C)$(CXX) -c -o $@ $(MY_CXXFLAGS) -MMD -MF $@.d -MT $@ $<

% : objs/%.o Makefile
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
	$(_C)$(CP_TO_EXE)

# same as above but optimized for size not speed
objs/%.os : src/%.cpp Makefile
	$(_E) [CPP] $@
	$(_C)$(CXX) -c -o $@ $(MY_CXXFLAGS) -Os -MMD -MF $@.d -MT $@ $<

% :: objs/%.os Makefile
	$(_E) [LD] $@
	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)

# On some installations a version.h exists in /usr/include. This one is then
# found by the dependency tracker and thus the dependencies do not contain
# a reference to version.h, so it isn't generated and compilation fails.
objs/grfcodec.o: src/version.h
objs/grfmerge.o: src/version.h
objs/grfmerge.os: src/version.h
objs/grfdiff.o: src/version.h
objs/grfidc.o: src/version.h
objs/message_mgr.o: src/version.h
objs/messages.o: src/version.h

objs/%.o.d: src/%.cpp Makefile src/endian.h
	$(_E) [CPP DEP] $@
	$(_C)$(CXX) $(MY_CXXFLAGS) -DMAKEDEP -MM -MG src/$*.cpp -MF $@

ifndef NO_MAKEFILE_DEP
-include $(GRFCODECSRC:%.cpp=objs/%.o.d)
-include $(GRFMERGESRC:%.cpp=objs/%.o.d)
-include $(GRFDIFFSRC:%.cpp=objs/%.o.d)
-include $(GRFIDSRC:%.cpp=objs/%.o.d)
-include $(GRFMERGESRC:%.cpp=objs/%.os.d)
-include $(NFORENUMSRC:%.cpp=objs/%.o.d)
endif

include Makefile.bundle

=== debian/changelog ===
grfcodec (5.1.1-2) unstable; urgency=low

  * [3ee0c62] Add fix-action-14-big-endian.patch.
  * [45cdd2b] Reword description to comply with policy.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 05 Aug 2011 22:32:42 +0200

grfcodec (5.1.1-1) unstable; urgency=low

  * [a9f555f] New upstream release 5.1.1.
  * [9227de5] Conflict and replace nforenum, which is included with grfcodec
    now.
  * [54aa8a6] Build-Depend on libpng-dev, to support png sprite sheets (new in
    5.1.0).
  * [90314ef] Remove big-endian-fix.patch, which was included upstream.
  * [a08a5a1] Bump Standards-Version to 3.9.2, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Aug 2011 21:22:40 +0200

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# The upstream site explicitly links to index.html for directory
# indexes, and uses a separate directory per release, so we do some
# downloadurlmangle magic to get at the right file.
# Also remove any +debian suffix for repackaged sources.
opts="dversionmangle=s/\+debian\d*$//,downloadurlmangle=s/(.*)\/index.html$/\1\/grfcodec-\1-source.tar.gz/" \
http://master.binaries.openttd.org/extra/grfcodec/ \
(\d+(?:\.\d+)*)/index.html

## grfcodec 5.1.2

=== debian/changelog ===
grfcodec (5.1.2-1) unstable; urgency=low

  * [36684f3] New upstream release 5.1.2.
  * [14174a4] Remove fix-action-14-big-endian.patch, which is included upstream.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 06 Dec 2011 14:43:46 +0100

=== debian/control ===
Source: grfcodec
Section: devel
Priority: extra
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
Homepage: http://dev.openttdcoop.org/projects/grfcodec

Package: grfcodec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: nforenum
Conflicts: nforenum
Description: suite of programs to modify Transport Tycoon Deluxe's GRF files
 This package provides the grfcodec, grfdiff, grfmerge and nforenum commands
 which can be used to work with the GRF used by the Transport Tycoon Deluxe,
 TTDPatch and OpenTTD games.

=== debian/rules ===
--- 
+++ 
@@ -16,17 +16,9 @@
 	rm -f Makefile.local
 
 override_dh_auto_configure:
-	# Default is to install to /usr/local
-	echo "INSTALLPATH_LINUX=debian/grfcodec/usr/bin" >> Makefile.local
 	# Disable UPX binary compression, it is not available on all
 	# platforms.
 	echo "UPX=" >> Makefile.local
-
-override_dh_auto_install:
-	dh_auto_install
-	# Remove the changelog, dh_installchangelogs will do that as
-	# well.
-	rm debian/grfcodec/usr/share/doc/grfcodec/changelog.txt
-	# Remove the COPYING file, it's just a verbatim GPL copy
-	rm debian/grfcodec/usr/share/doc/grfcodec/COPYING
-
+	echo "DO_NOT_INSTALL_CHANGELOG=1" >> Makefile.local
+	echo "DO_NOT_INSTALL_LICENSE=1" >> Makefile.local
+	echo "prefix=/usr" >> Makefile.local

=== debian/watch ===
--- 
+++ 
@@ -7,6 +7,6 @@
 # indexes, and uses a separate directory per release, so we do some
 # downloadurlmangle magic to get at the right file.
 # Also remove any +debian suffix for repackaged sources.
-opts="dversionmangle=s/\+debian\d*$//,downloadurlmangle=s/(.*)\/index.html$/\1\/grfcodec-\1-source.tar.gz/" \
+opts="dversionmangle=s/\+debian\d*$//,downloadurlmangle=s/\/([\d\.]*)\/index.html$/\/$1\/grfcodec-$1-source.tar.gz/" \
 http://master.binaries.openttd.org/extra/grfcodec/ \
 (\d+(?:\.\d+)*)/index.html

## grfcodec 6.0.0

=== debian/changelog ===
grfcodec (6.0.0-1) unstable; urgency=low

  * [09f0358] New upstream release 6.0.0.
  * [b47c90b] Update copyright file and convert to use the new copyright-
    format-1.0.
  * [ecf1baa] Bump Standars-Version to 3.9.3, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Apr 2012 13:01:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
 Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
 Homepage: http://dev.openttdcoop.org/projects/grfcodec

## grfcodec 6.0.2

=== debian/changelog ===
grfcodec (6.0.2-1) unstable; urgency=low

  * [664d753] New upstream release 6.0.2.
  * [a52bd90] Bump Standards-Version to 3.9.4, no changes required.
  * [a9ace4b] Make builds verbose.
  * [3dad868] Update watch file, upstream changed download urls.
  * [71790cd] Use flags from dpkg-buildflags.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 15 Mar 2013 16:03:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev,
+ dpkg-dev (>=1.16.1)
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
 Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
 Homepage: http://dev.openttdcoop.org/projects/grfcodec

## grfcodec 6.0.3

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 GRFDIFF      ?= grfdiff$(EXE)
 GRFMERGE     ?= grfmerge$(EXE)
 GRFID        ?= grfid$(EXE)
+GRFSTRIP     ?= grfstrip$(EXE)
 NFORENUM     ?= nforenum$(EXE)
 ENDIAN_CHECK ?= endian_check$(EXE)
 
@@ -146,7 +147,9 @@
 
 GRFMERGESRC=grfcomm.cpp error.cpp grfmerge.cpp path.cpp
 
-GRFIDSRC=grfid.cpp
+GRFIDSRC=grfid.cpp md5.cpp
+
+GRFSTRIPSRC=grfstrip.cpp
 
 NFORENUMSRC=IDs.cpp act0.cpp act123.cpp act123_classes.cpp act5.cpp act6.cpp \
   act79D.cpp actB.cpp actF.cpp act14.cpp command.cpp data.cpp globals.cpp \
@@ -158,7 +161,7 @@
 PAL_FILES = pals/$(subst &,.bcp pals/,$(PALORDER)).bcp
 
 # deafult targets
-all: $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(NFORENUM)
+all: $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(GRFSTRIP) $(NFORENUM)
 
 remake:
 	$(_E) [CLEAN]
@@ -187,17 +190,21 @@
 	$(_E) [LD] $@
 	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
 
+$(GRFSTRIP): $(GRFSTRIPSRC:%.cpp=objs/%.o)
+	$(_E) [LD] $@
+	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
+
 $(NFORENUM): $(NFORENUMSRC:%.cpp=objs/%.o)
 	$(_E) [LD] $@
 	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
 
 
 clean:
-	$(_C)rm -rf objs $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(NFORENUM) bundle bundles grfcodec-* src/endian.h
+	$(_C)rm -rf objs $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(GRFSTRIP) $(NFORENUM) bundle bundles grfcodec-* src/endian.h
 
 mrproper: clean
 	$(_C)rm -f src/version.h src/grfmrg.cpp
-	$(_C)touch -ct 9901010000 ttdpal.h # don't delete it, so we don't confuse svn, but force it to be remade
+	$(_C)touch -ct 9901010000 ttdpal.h # don't delete it, so we don't confuse version control, but force it to be remade
 
 distclean: mrproper
 	$(_C)rm -rf Makefile.local
@@ -216,7 +223,7 @@
 objs/$(ENDIAN_CHECK): src/endian_check.cpp
 	$(_C) mkdir -p objs
 	$(_E) [LD] $@
-	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) src/endian_check.cpp
+	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) src/endian_check.cpp $(LDOPT)
 
 src/endian.h: objs/$(ENDIAN_CHECK)
 	$(_E) [ENDIAN] Determining endianness
@@ -236,7 +243,7 @@
 	$(_C)$(UPX) $(_Q) --best  $(@:%_r=%)
 endif
 
-release: FORCE $(GRFCODEC)_r $(GRFDIFF)_r $(GRFMERGE)_r $(GRFID)_r $(NFORENUM)_r
+.NOTPARALLEL release: FORCE $(GRFCODEC)_r $(GRFDIFF)_r $(GRFMERGE)_r $(GRFID)_r $(GRFSTRIP)_r $(NFORENUM)_r
 
 # make grfmerge.exe (as grfmrgc.bin) optimized for size instead of speed
 objs/grfmrgc.bin: objs/grfmerge.os $(GRFMERGESRC:%.cpp=objs/%.os)
@@ -288,7 +295,8 @@
 objs/grfmerge.o: src/version.h
 objs/grfmerge.os: src/version.h
 objs/grfdiff.o: src/version.h
-objs/grfidc.o: src/version.h
+objs/grfid.o: src/version.h
+objs/grfstrip.o: src/version.h
 objs/message_mgr.o: src/version.h
 objs/messages.o: src/version.h
 
@@ -301,6 +309,7 @@
 -include $(GRFMERGESRC:%.cpp=objs/%.o.d)
 -include $(GRFDIFFSRC:%.cpp=objs/%.o.d)
 -include $(GRFIDSRC:%.cpp=objs/%.o.d)
+-include $(GRFSTRIPSRC:%.cpp=objs/%.o.d)
 -include $(GRFMERGESRC:%.cpp=objs/%.os.d)
 -include $(NFORENUMSRC:%.cpp=objs/%.o.d)
 endif

=== debian/changelog ===
grfcodec (6.0.3-1) unstable; urgency=low

  * [b229ba6] New upstream release 6.0.3.
     - Fixes crash on invalid input files. (Closes: #715995)
  * [90ec679] Add patch to pass LDFLAGS for grfmrgc.bin
  * [4979bd2] Use canonical Vcs urls (on anonscm.debian.org)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Sep 2013 10:16:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev,
  dpkg-dev (>=1.16.1)
 Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/grfcodec.git
-Vcs-Git: git://git.debian.org/collab-maint/grfcodec.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grfcodec.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/grfcodec.git
 Homepage: http://dev.openttdcoop.org/projects/grfcodec
 
 Package: grfcodec

## grfcodec 6.0.4

=== debian/changelog ===
grfcodec (6.0.4-1) unstable; urgency=medium

  * [0d9b2c5] New upstream release 6.0.4.
  * [d0bef6a] Bump Standards-Version to 3.9.5, no changes required.
  * [25606fe] Remove fix-ldflags.patch, which was included upstream

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 22 Apr 2014 17:40:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev,
  dpkg-dev (>=1.16.1)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grfcodec.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/grfcodec.git
 Homepage: http://dev.openttdcoop.org/projects/grfcodec

## grfcodec 6.0.5

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,6 @@
 # OS dependent variables
 EXE          ?= $(shell ( [ \( $(ISCYGWIN) -eq 1 \) -o \( "$(MACHINE)" = "mingw32" \) ] ) && echo .exe)
 GRFCODEC     ?= grfcodec$(EXE)
-GRFDIFF      ?= grfdiff$(EXE)
-GRFMERGE     ?= grfmerge$(EXE)
 GRFID        ?= grfid$(EXE)
 GRFSTRIP     ?= grfstrip$(EXE)
 NFORENUM     ?= nforenum$(EXE)
@@ -63,7 +61,7 @@
 FLAGS = -idirafter$(BOOST_INCLUDE) -O2
 endif
 FLAGS += -D$(TYPESIZE) -D_FORTIFY_SOURCE=2
-FLAGS += -Wall -Wno-uninitialized -Wsign-compare -Wwrite-strings -Wpointer-arith -W -Wno-unused-parameter -Wformat=2
+FLAGS += -Wall -Wextra -Wno-format-nonliteral
 
 ifeq ($(DEBUG),1)
 FLAGS += -DDEBUG
@@ -143,10 +141,6 @@
 	info.cpp globals.cpp mapescapes.cpp error.cpp path.cpp readinfo.cpp \
 	file.cpp grfcodec.cpp
 
-GRFDIFFSRC=grfcomm.cpp error.cpp sprites.cpp grfdiff.cpp path.cpp
-
-GRFMERGESRC=grfcomm.cpp error.cpp grfmerge.cpp path.cpp
-
 GRFIDSRC=grfid.cpp md5.cpp
 
 GRFSTRIPSRC=grfstrip.cpp
@@ -160,8 +154,8 @@
 PALORDER = ttd_norm&ttw_norm&ttd_cand&ttw_cand&tt1_norm&tt1_mars&ttw_pb_pal1&ttw_pb_pal2
 PAL_FILES = pals/$(subst &,.bcp pals/,$(PALORDER)).bcp
 
-# deafult targets
-all: $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(GRFSTRIP) $(NFORENUM)
+# default targets
+all: $(GRFCODEC) $(GRFID) $(GRFSTRIP) $(NFORENUM)
 
 remake:
 	$(_E) [CLEAN]
@@ -178,14 +172,6 @@
 	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
 endif
 
-$(GRFDIFF):  $(GRFDIFFSRC:%.cpp=objs/%.o) objs/grfmrg.o
-	$(_E) [LD] $@
-	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
-
-$(GRFMERGE): $(GRFMERGESRC:%.cpp=objs/%.o)
-	$(_E) [LD] $@
-	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
-
 $(GRFID): $(GRFIDSRC:%.cpp=objs/%.o)
 	$(_E) [LD] $@
 	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) $^ $(LDOPT)
@@ -200,10 +186,10 @@
 
 
 clean:
-	$(_C)rm -rf objs $(GRFCODEC) $(GRFDIFF) $(GRFMERGE) $(GRFID) $(GRFSTRIP) $(NFORENUM) bundle bundles grfcodec-* src/endian.h
+	$(_C)rm -rf objs $(GRFCODEC) $(GRFID) $(GRFSTRIP) $(NFORENUM) bundle bundles grfcodec-* src/endian.h
 
 mrproper: clean
-	$(_C)rm -f src/version.h src/grfmrg.cpp
+	$(_C)rm -f src/version.h
 	$(_C)touch -ct 9901010000 ttdpal.h # don't delete it, so we don't confuse version control, but force it to be remade
 
 distclean: mrproper
@@ -243,25 +229,7 @@
 	$(_C)$(UPX) $(_Q) --best  $(@:%_r=%)
 endif
 
-.NOTPARALLEL release: FORCE $(GRFCODEC)_r $(GRFDIFF)_r $(GRFMERGE)_r $(GRFID)_r $(GRFSTRIP)_r $(NFORENUM)_r
-
-# make grfmerge.exe (as grfmrgc.bin) optimized for size instead of speed
-objs/grfmrgc.bin: objs/grfmerge.os $(GRFMERGESRC:%.cpp=objs/%.os)
-	$(_C)rm -f $@
-	$(_E) [LD] $@
-	$(_C)$(CXX) -o $@ $(MY_CXXFLAGS) -Os $^
-ifneq ($(STRIP),)
-	$(_E) [STRIP] $@
-	$(_C)$(STRIP) $@
-endif
-ifneq ($(UPX),)
-	$(_E) [UPX] $@
-	$(_C)$(UPX) $(_Q) --best $@
-endif
-
-src/grfmrg.cpp: objs/grfmrgc.bin src/grfmrgc.pl
-	$(_E) [PERL] $@
-	$(_C)perl -w src/grfmrgc.pl > $@
+.NOTPARALLEL release: FORCE $(GRFCODEC)_r $(GRFID)_r $(GRFSTRIP)_r $(NFORENUM)_r
 
 src/ttdpal.h: $(PAL_FILES:%=src/%) src/pal2c.pl
 	$(_E) [PERL] $@
@@ -292,9 +260,6 @@
 # found by the dependency tracker and thus the dependencies do not contain
 # a reference to version.h, so it isn't generated and compilation fails.
 objs/grfcodec.o: src/version.h
-objs/grfmerge.o: src/version.h
-objs/grfmerge.os: src/version.h
-objs/grfdiff.o: src/version.h
 objs/grfid.o: src/version.h
 objs/grfstrip.o: src/version.h
 objs/message_mgr.o: src/version.h
@@ -306,11 +271,8 @@
 
 ifndef NO_MAKEFILE_DEP
 -include $(GRFCODECSRC:%.cpp=objs/%.o.d)
--include $(GRFMERGESRC:%.cpp=objs/%.o.d)
--include $(GRFDIFFSRC:%.cpp=objs/%.o.d)
 -include $(GRFIDSRC:%.cpp=objs/%.o.d)
 -include $(GRFSTRIPSRC:%.cpp=objs/%.o.d)
--include $(GRFMERGESRC:%.cpp=objs/%.os.d)
 -include $(NFORENUMSRC:%.cpp=objs/%.o.d)
 endif

=== debian/changelog ===
grfcodec (6.0.5-1) unstable; urgency=medium

  * [994be47] Bump Standards-Version to 3.9.6, no changes required.
  * [13c5839] New upstream release 6.0.5.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 09 May 2015 22:32:48 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libboost-dev, libpng-dev,
  dpkg-dev (>=1.16.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grfcodec.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/grfcodec.git
 Homepage: http://dev.openttdcoop.org/projects/grfcodec
